package com.ssj.bean.weixin.libmy.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Version;

import org.springframework.format.annotation.DateTimeFormat;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "tb_lib_join")
public class TbLibJoin extends BaseEntity{

	/**
	 * 图书馆
	 */
	private static final long serialVersionUID = 722069956782874583L;
	
	
	private String leagueName;
	private String leagueCode;
	private String leagueLat;
	private String leagueLng;
	private String leagueAddress;
	private String leaduePhone;
	private String leadueManager;
	/**
	 * 签约时间
	 */
	private Date createTime;
	private String leagueCity;
	  /**
     * 关联组织架构
     */
    private String  orgCode;
    /**
     * 二维码
     */
    private String qrCode;
    
    /**
     *  alter table tb_lib_join add work_start varchar(36);
		alter table tb_lib_join add work_end varchar(36);
		alter table tb_lib_join add weekeed_start varchar(36);
		alter table tb_lib_join add weekeed_end varchar(36);
     */
    private String workStart;  //工作日体验馆开馆时间
    private String workEnd;    //闭馆时间
    private String weekeedStart;//周末开馆时间
    private String weekeedEnd;//闭馆时间  格式 00:00
    
    /**
     * 1已开馆，2即将开馆
     */
    private Integer type;
    
    private String startJiaTime; //假期开始时间
    private String endJiaTime;   //假期结束时间
    private Integer libtype; //图书馆类型 1--家庭图书馆 2--共享图书馆A,3共享图书馆B
    
    private Integer cancelStat; //撤销馆的步骤，收书管理员确认撤销的时候状态改为1，确认回收后改为2 入库管理员确认入库时将type更改为0
	/**
	 * 平台服务币数
	 */
	private int platformService;
	
	/**
	 * 版本号
	 */
	private long version;
	
	//机构服务币数/套餐模式人数
	private int libService;
	//套餐模式
	private Integer signType;
	//套餐模式开始时间
	private Date signTime;
	//套餐模式结束时间
	private Date endSignTime;
	
	@Version
	public long getVersion() {
		return version;
	}

	public void setVersion(long version) {
		this.version = version;
	}

	public int getPlatformService() {
		return platformService;
	}

	public void setPlatformService(int platformService) {
		this.platformService = platformService;
	}

	public int getLibService() {
		return libService;
	}

	public void setLibService(int libService) {
		this.libService = libService;
	}

	public String getLeagueName() {
		return leagueName;
	}

	public void setLeagueName(String leagueName) {
		this.leagueName = leagueName;
	}

	public String getLeagueCode() {
		return leagueCode;
	}

	public void setLeagueCode(String leagueCode) {
		this.leagueCode = leagueCode;
	}
	public String getLeagueLat() {
		return leagueLat;
	}

	public void setLeagueLat(String leagueLat) {
		this.leagueLat = leagueLat;
	}
	public String getLeagueLng() {
		return leagueLng;
	}

	public void setLeagueLng(String leagueLng) {
		this.leagueLng = leagueLng;
	}

	public String getLeagueAddress() {
		return leagueAddress;
	}

	public void setLeagueAddress(String leagueAddress) {
		this.leagueAddress = leagueAddress;
	}

	public String getLeaduePhone() {
		return leaduePhone;
	}

	public void setLeaduePhone(String leaduePhone) {
		this.leaduePhone = leaduePhone;
	}

	public String getLeadueManager() {
		return leadueManager;
	}

	public void setLeadueManager(String leadueManager) {
		this.leadueManager = leadueManager;
	}
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")   
	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getLeagueCity() {
		return leagueCity;
	}

	public void setLeagueCity(String leagueCity) {
		this.leagueCity = leagueCity;
	}
	@Column(updatable=false)
	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getQrCode() {
		return qrCode;
	}

	public void setQrCode(String qrCode) {
		this.qrCode = qrCode;
	}

	public String getWorkStart() {
		return workStart;
	}

	public void setWorkStart(String workStart) {
		this.workStart = workStart;
	}

	public String getWorkEnd() {
		return workEnd;
	}

	public void setWorkEnd(String workEnd) {
		this.workEnd = workEnd;
	}

	public String getWeekeedStart() {
		return weekeedStart;
	}

	public void setWeekeedStart(String weekeedStart) {
		this.weekeedStart = weekeedStart;
	}

	public String getWeekeedEnd() {
		return weekeedEnd;
	}

	public void setWeekeedEnd(String weekeedEnd) {
		this.weekeedEnd = weekeedEnd;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getStartJiaTime() {
		return startJiaTime;
	}

	public void setStartJiaTime(String startJiaTime) {
		this.startJiaTime = startJiaTime;
	}

	public String getEndJiaTime() {
		return endJiaTime;
	}

	public void setEndJiaTime(String endJiaTime) {
		this.endJiaTime = endJiaTime;
	}

	public Integer getLibtype() {
		return libtype;
	}

	public void setLibtype(Integer libtype) {
		this.libtype = libtype;
	}

	public Integer getCancelStat() {
		return cancelStat;
	}

	public void setCancelStat(Integer cancelStat) {
		this.cancelStat = cancelStat;
	}

	public Integer getSignType() {
		return signType;
	}

	public void setSignType(Integer signType) {
		this.signType = signType;
	}

	public Date getSignTime() {
		return signTime;
	}

	public void setSignTime(Date signTime) {
		this.signTime = signTime;
	}

	public Date getEndSignTime() {
		return endSignTime;
	}

	public void setEndSignTime(Date endSignTime) {
		this.endSignTime = endSignTime;
	}
	
	
	
}
